#ifndef DIALOG_H
#define DIALOG_H

#include <QtGui/QDialog>
#include <QFile>
#include <QHttp>

namespace Ui
{
    class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    Dialog(QWidget *parent = 0);
    ~Dialog();


private:
    Ui::Dialog *ui;
    QString filename;
    QString website;
    QString callsign;
    QString gohere;
    QHttp *http;
    QString lineOdata; // Holds the line of data being parsed
    bool flag; // Flag used to control how much of the html file is read
    QString str;

private slots:

    void on_callsign_LE_returnPressed();
    void on_saveit_PB_clicked();
    void parseit();

public slots:
    void on_search_PB_clicked();
    void on_clear_callsign_PB_clicked();
    void getit();
    void httpDone(bool);

};

#endif // DIALOG_H
